package com.eactive.eai.adapter.http.dynamic.filter;

public enum HttpAdapterFilterType {
	APIAUTHFILTER,
	JWTAUTHFILTER,
	IPWHITELISTFILTER,
	ADAPTERALLOWIPLISTFILTER,
	HMAC_SHA256,
	REFLECTALLHEADER,
	UNKNOWN;

	public static HttpAdapterFilterType getValue(String type) {
		try {
			return valueOf(type.toUpperCase());
		} catch (Exception e) {
			return UNKNOWN;
		}
	}
}
